Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Interface DERTags

All Known Implementing Classes:
  ASN1InputStream, ASN1Null, ASN1OctetString, ASN1OutputStream, ASN1Sequence, ASN1Set, ASN1TaggedObject, AuthorityKeyIdentifier, BERConstructedOctetString, BERConstructedSequence, BERInputStream, BERNull, BEROutputStream, BERSequence, BERSet, BERTaggedObject, CertPolicyId, CRLNumber, CRLReason, DERApplicationSpecific, DERBitString, DERBMPString, DERBoolean, DERConstructedSequence, DERConstructedSet, DEREnumerated, DERGeneralizedTime, DERGeneralString, DERIA5String, DERInputStream, DERInteger, DERNull, DERNumericString, DERObject, DERObjectIdentifier, DEROctetString, DEROutputStream, DERPrintableString, DERSequence, DERSet, DERT61String, DERTaggedObject, DERUniversalString, DERUnknownTag, DERUTCTime, DERUTF8String, DERVisibleString, KeyPurposeId, KeyUsage, NetscapeCertType, NetscapeRevocationURL, OCSPResponseStatus, PolicyQualifierId, ReasonFlags, VerisignCzagExtension

public interface DERTags

Field Summary
`static int` | `APPLICATION`
`static int` | `BIT_STRING`
`static int` | `BMP_STRING`
`static int` | `BOOLEAN`
`static int` | `CONSTRUCTED`
`static int` | `ENUMERATED`
`static int` | `EXTERNAL`
`static int` | `GENERAL_STRING`
`static int` | `GENERALIZED_TIME`
`static int` | `GRAPHIC_STRING`
`static int` | `IA5_STRING`
`static int` | `INTEGER`
`static int` | `NULL`
`static int` | `NUMERIC_STRING`
`static int` | `OBJECT_IDENTIFIER`
`static int` | `OCTET_STRING`
`static int` | `PRINTABLE_STRING`
`static int` | `SEQUENCE`
`static int` | `SEQUENCE_OF`
`static int` | `SET`
`static int` | `SET_OF`
`static int` | `T61_STRING`
`static int` | `TAGGED`
`static int` | `UNIVERSAL_STRING`
`static int` | `UTC_TIME`
`static int` | `UTF8_STRING`
`static int` | `VIDEOTEX_STRING`
`static int` | `VISIBLE_STRING`

Field Detail

### BOOLEAN

    static final int BOOLEAN

See Also:
  Constant Field Values

### INTEGER

    static final int INTEGER

See Also:
  Constant Field Values

### BIT_STRING

    static final int BIT_STRING

See Also:
  Constant Field Values

### OCTET_STRING

    static final int OCTET_STRING

See Also:
  Constant Field Values

### NULL

    static final int NULL

See Also:
  Constant Field Values

### OBJECT_IDENTIFIER

    static final int OBJECT_IDENTIFIER

See Also:
  Constant Field Values

### EXTERNAL

    static final int EXTERNAL

See Also:
  Constant Field Values

### ENUMERATED

    static final int ENUMERATED

See Also:
  Constant Field Values

### SEQUENCE

    static final int SEQUENCE

See Also:
  Constant Field Values

### SEQUENCE_OF

    static final int SEQUENCE_OF

See Also:
  Constant Field Values

### SET

    static final int SET

See Also:
  Constant Field Values

### SET_OF

    static final int SET_OF

See Also:
  Constant Field Values

### NUMERIC_STRING

    static final int NUMERIC_STRING

See Also:
  Constant Field Values

### PRINTABLE_STRING

    static final int PRINTABLE_STRING

See Also:
  Constant Field Values

### T61_STRING

    static final int T61_STRING

See Also:
  Constant Field Values

### VIDEOTEX_STRING

    static final int VIDEOTEX_STRING

See Also:
  Constant Field Values

### IA5_STRING

    static final int IA5_STRING

See Also:
  Constant Field Values

### UTC_TIME

    static final int UTC_TIME

See Also:
  Constant Field Values

### GENERALIZED_TIME

    static final int GENERALIZED_TIME

See Also:
  Constant Field Values

### GRAPHIC_STRING

    static final int GRAPHIC_STRING

See Also:
  Constant Field Values

### VISIBLE_STRING

    static final int VISIBLE_STRING

See Also:
  Constant Field Values

### GENERAL_STRING

    static final int GENERAL_STRING

See Also:
  Constant Field Values

### UNIVERSAL_STRING

    static final int UNIVERSAL_STRING

See Also:
  Constant Field Values

### BMP_STRING

    static final int BMP_STRING

See Also:
  Constant Field Values

### UTF8_STRING

    static final int UTF8_STRING

See Also:
  Constant Field Values

### CONSTRUCTED

    static final int CONSTRUCTED

See Also:
  Constant Field Values

### APPLICATION

    static final int APPLICATION

See Also:
  Constant Field Values

### TAGGED

    static final int TAGGED

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD